<!DOCTYPE html>
<html>

<head>
    <title>Monster Slayer</title>
    <script src="https://npmcdn.com/vue/dist/vue.js"></script>
    <link rel="stylesheet" href="css/foundation.min.css">
    <link rel="stylesheet" href="css/app.css">
</head>

<body>
    <div id="exercise">
        <section class="row">
            <div class="small-6 columns">
                <h1 class="text-center">YOU</h1>
                <div class="healthbar" :style="{width:healthbarwidth}">
                    <div class="healthbar text-center progressbar" :style="{width:youprogressbarwidth+'%',backgroundColor:color}">

                    </div>
                </div>
            </div>
            <div class="small-6 columns">
                <h1 class="text-center">MONSTER</h1>
                <div class="healthbar" :style="{width:healthbarwidth}">
                    <div class="healthbar text-center progressbar" :style="{width:monsterprogressbarwidth+'%',backgroundColor:color}">

                    </div>
                </div>
            </div>
        </section>
        <section class="row controls" v-if="start">
            <div class="small-12 columns">
                <button id="start-game" @click="startGame">START NEW GAME</button>
            </div>
        </section>
        <section class="row controls" v-else>
            <div class="small-12 columns">
                <button id="attack" @click="attack">ATTACK</button>
                <button id="special-attack" @click="specialAttack">SPECIAL ATTACK</button>
                <button id="heal" @click="heal">HEAL</button>
                <button id="give-up" @click="giveup">GIVE UP</button>
            </div>
        </section>
        <section class="row log" v-show="!start && histories.length>0">
            <div class="small-12 columns">
                <ul>
                    <li v-for="history in histories" :style="">
                        {{history}}
                    </li>
                </ul>
            </div>
        </section>
        <section class="row log" v-if="whoWin.length>0 && whoWin=='you'">
            <div class="small-12 columns">
                Contrats you win
            </div>
        </section>
        <section class="row log" v-else-if="whoWin.length>0 && whoWin=='monster'">
            <div class="small-12 columns">
                Sorry you loose
            </div>
        </section>
    </div>
    <script src="js/script.js"></script>
</body>

</html>